Skip to main content
POST
/
v3
/
imports
/
{import}
/
jobs
/
batch.json
Batch Import Jobs
curl --request POST \
  --url https://api.{tenant}.getomneo.com/api/v3/imports/{import}/jobs/batch.json \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobs": [
    {
      "handler": "<string>",
      "data": [
        "<string>"
      ],
      "result": [
        "<string>"
      ]
    }
  ]
}
'
import requests

url = "https://api.{tenant}.getomneo.com/api/v3/imports/{import}/jobs/batch.json"

payload = { "jobs": [
{
"handler": "<string>",
"data": ["<string>"],
"result": ["<string>"]
}
] }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({jobs: [{handler: '<string>', data: ['<string>'], result: ['<string>']}]})
};

fetch('https://api.{tenant}.getomneo.com/api/v3/imports/{import}/jobs/batch.json', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>",
"errors": {}
}

Path Parameters

import
integer
required

The import ID

Body

application/json
jobs
object[]
required
Minimum array length: 1

Response

message
string
required
Allowed value: "Queued for processing."